## debusine 0.8.1

=== debian/control ===
Source: debusine
Section: devel
Priority: optional
Maintainer: Raphaël Hertzog <raphael@freexian.com>
Uploaders: Colin Watson <cjwatson@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 devscripts,
 dh-sequence-python3,
 dh-sequence-sphinxdoc <!nodoc>,
 graphviz <!nodoc>,
 libjs-jquery-isonscreen <!nodoc>,
 libjs-jquery-tablesorter <!nodoc>,
 libjs-jquery-throttle-debounce <!nodoc>,
 libjs-select2.js <!nodoc>,
 openssl <!nocheck>,
 postgresql <!nocheck>,
 pybuild-plugin-pyproject,
 python3 <!nocheck>,
 python3-aiohttp <!nodoc>,
 python3-celery <!nodoc>,
 python3-channels-redis <!nodoc>,
 python3-coverage <!nocheck>,
 python3-cryptography <!nocheck>,
 python3-daphne <!nodoc>,
 python3-dateutil <!nocheck>,
 python3-debian <!nodoc>,
 python3-django (>= 3:4.2) <!nodoc>,
 python3-django-celery-results <!nodoc>,
 python3-django-channels <!nodoc>,
 python3-djangorestframework <!nodoc>,
 python3-doc <!nocheck>,
 python3-email-validator <!nodoc>,
 python3-fabric <!nocheck>,
 python3-fasteners <!nodoc>,
 python3-hatch-vcs,
 python3-hatchling,
 python3-jsonpath-rw <!nodoc>,
 python3-jwcrypto <!nocheck>,
 python3-lxml <!nocheck>,
 python3-nacl <!nocheck>,
 python3-paramiko <!nocheck>,
 python3-prometheus-client <!nocheck>,
 python3-psutil <!nocheck>,
 python3-psycopg2 <!nodoc>,
 python3-pydantic <!nodoc>,
 python3-pyftpdlib <!nocheck>,
 python3-pygments <!nodoc>,
 python3-requests <!nocheck>,
 python3-requests-file <!nocheck>,
 python3-requests-oauthlib <!nocheck>,
 python3-requests-toolbelt <!nodoc>,
 python3-responses <!nocheck>,
 python3-rich <!nocheck>,
 python3-sphinx <!nodoc>,
 python3-sphinx-copybutton <!nodoc>,
 python3-sphinx-rtd-theme <!nodoc>,
 python3-tenacity <!nodoc>,
 python3-yaml <!nodoc>,
 redis-server <!nocheck>,
 sbsigntool [amd64 arm64 armhf i386 riscv64] <!nocheck>,
Standards-Version: 4.6.2
Homepage: https://salsa.debian.org/freexian-team/debusine
Vcs-Browser: https://salsa.debian.org/freexian-team/debusine
Vcs-Git: https://salsa.debian.org/freexian-team/debusine.git
Rules-Requires-Root: no
X-Python3-Version: >= 3.11

Package: python3-debusine
Architecture: all
Section: python
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Main Python library for debusine
 Debusine is a general purpose software factory tailored to the needs of a
 Debian-based distribution.
 .
 This package contains most of the Python libraries.

Package: python3-debusine-server
Architecture: all
Section: python
Depends:
 python3-debusine (= ${source:Version}),
 python3-debusine-signing (= ${source:Version}),
 python3-django (>= 3:4.2),
 ${misc:Depends},
 ${python3:Depends},
Description: Server part of the Python library for debusine
 Debusine is a general purpose software factory tailored to the needs of a
 Debian-based distribution.
 .
 This package contains the server related part of the Python libraries.

Package: python3-debusine-signing
Architecture: all
Section: python
Depends:
 python3-debusine (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python3-debusine-server (<< 0.3.3~)
Replaces:
 python3-debusine-server (<< 0.3.3~)
Description: Signing worker part of the Python library for debusine
 Debusine is a general purpose software factory tailored to the needs of a
 Debian-based distribution.
 .
 This package contains the signing worker related part of the Python
 libraries.

Package: debusine-server
Architecture: all
Depends:
 adduser,
 arch-test,
 daphne,
 dbconfig-pgsql | dbconfig-no-thanks,
 python3-debusine-server (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 default-mta | mail-transport-agent,
 nginx-core | httpd,
 postgresql,
 redis-server,
 sensible-utils,
Description: Services to run a debusine server
 Debusine is a general purpose software factory tailored to the needs of a
 Debian-based distribution.
 .
 This package provides all the required services to run a debusine server.

Package: debusine-client
Architecture: all
Depends:
 python3-debusine (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: Command line client to interact with a debusine server
 Debusine is a general purpose software factory tailored to the needs of a
 Debian-based distribution.
 .
 This package provides the command line client used to interact with a
 debusine server.

Package: debusine-worker
Architecture: all
Depends:
 adduser,
 arch-test,
 python3-debusine (= ${source:Version}),
 udev,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 autopkgtest,
 binutils-for-host | binutils-multiarch,
 debootstrap,
 debvm,
 dosfstools,
 e2fsprogs,
 fdisk,
 mmdebstrap,
 mmdebstrap,
 mount,
 mtools,
 parted,
 qemu-utils,
 sbuild,
 systemd,
 systemd-ukify | systemd (<< 255.1-1),
 uidmap,
 uidmap,
 xz-utils,
Suggests:
 incus,
 qemu-kvm,
 schroot,
Description: Standalone daemon handling work requests for a debusine server
 Debusine is a general purpose software factory tailored to the needs of a
 Debian-based distribution.
 .
 This package provides the services to run a debusine worker executing work
 requests sent by a debusine server.

Package: debusine-signing
Architecture: all
Depends:
 arch-test,
 dbconfig-pgsql | dbconfig-no-thanks,
 openssl,
 python3-debusine-signing (= ${source:Version}),
 python3-gpg,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 devscripts,
 sbsigntool,
Description: Signing service for debusine
 Debusine is a general purpose software factory tailored to the needs of a
 Debian-based distribution.
 .
 This package provides a service that holds private keys and uses them to
 sign data on behalf of debusine.

Package: debusine-doc
Architecture: all
Multi-Arch: foreign
Built-Using:
 ${sphinxdoc:Built-Using},
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Documentation for debusine
 Debusine is a general purpose software factory tailored to the needs of a
 Debian-based distribution.
 .
 The documentation includes end-user documentation (how to use), administrator
 documentation (how to setup) and developer documentation (how to contribute,
 design and API).

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

ifneq (,$(findstring +salsaci+,$(DEB_VERSION)))
ifneq (,$(wildcard debian/.salsa-ci-hatchling-version))
# When building in CI, we get git-derived version information passed through
# to us, since we don't have access to git metadata when building the
# package.
export SETUPTOOLS_SCM_PRETEND_VERSION := $(file <debian/.salsa-ci-hatchling-version)
endif
endif

%:
	dh $@ --buildsystem=pybuild

ifeq (,$(filter $(DEB_BUILD_OPTIONS),nodoc))
execute_after_dh_auto_build:
	bin/quick-setup.sh create_directories # so data/logs exist, needed during the documentation building step
	# LANG settings to work around a bug in Python: https://github.com/python/cpython/issues/93251
	# The ticket talks about:
	# -socket.getfqdn(): this happens in Debusine's code in ./debusine/project/settings/defaults.py
	# -locale.setlocale(locale.LC_ALL, ''): this happens in sphinx code
	# -LANG=ru_RU.CP1251: one of the locales used by reprotest
	# -hostname is not resolvable: reprotest sets the hostname to reprotest-capture-hostname
	#  but reprotest-capture-hostname is not resolvable (not via /etc/hosts or any other method)
	sed -i -e "s|https://docs.python.org/|/usr/share/doc/python3-doc/html|" docs/conf.py
	LANG= LC_ALL= LANGUAGE= PYTHONPATH=. python3 -m sphinx --no-color -bhtml docs/ build/html # HTML generator
	sed -i -e "s|/usr/share/doc/python3-doc/html|https://docs.python.org/|" docs/conf.py
	# LANG= LC_ALL= LANGUAGE= PYTHONPATH=. python3 -m sphinx --no-color -bman docs/ build/man # Manpage generator
endif

override_dh_auto_test:
	# XXX: Disable tests as they require postgresql and redis to run
	# and to be configured. One day we might run those in a temporary
	# space.
	# dh_auto_test -- --system=custom --test-args="make coverage"

execute_after_dh_auto_install:
	# Copy python3-debusine-{server,signing} settings from the
	# distributed ones into /etc/debusine/{server,signing}. Create a
	# link from selected.py to production.py.
	set -e; \
	CONFIG_SRC_DIR=`echo debian/tmp/usr/lib/python3*/dist-packages/debusine/project/settings`; \
	CONFIG_DEST_PACKAGED_DIR=/etc/debusine/server; \
	CONFIG_DEST_DIR=debian/tmp/$$CONFIG_DEST_PACKAGED_DIR; \
	mkdir -p "$$CONFIG_DEST_DIR"; \
	rm "$$CONFIG_SRC_DIR/db_postgresql.py"; \
	rm "$$CONFIG_SRC_DIR/selected.py"; \
	mv "$$CONFIG_SRC_DIR/"* "$$CONFIG_DEST_DIR"; \
	rmdir "$$CONFIG_SRC_DIR"; \
	ln -s "$$CONFIG_DEST_PACKAGED_DIR" "$$CONFIG_SRC_DIR"; \
	ln -s --relative "$$CONFIG_DEST_DIR/production.py" "$$CONFIG_DEST_DIR/selected.py"

	set -e; \
	CONFIG_SRC_DIR=`echo debian/tmp/usr/lib/python3*/dist-packages/debusine/signing/settings`; \
	CONFIG_DEST_PACKAGED_DIR=/etc/debusine/signing; \
	CONFIG_DEST_DIR=debian/tmp/$$CONFIG_DEST_PACKAGED_DIR; \
	mkdir -p "$$CONFIG_DEST_DIR"; \
	rm "$$CONFIG_SRC_DIR/db_postgresql.py"; \
	rm "$$CONFIG_SRC_DIR/selected.py"; \
	mv "$$CONFIG_SRC_DIR/"* "$$CONFIG_DEST_DIR"; \
	rmdir "$$CONFIG_SRC_DIR"; \
	ln -s "$$CONFIG_DEST_PACKAGED_DIR" "$$CONFIG_SRC_DIR"; \
	ln -s --relative "$$CONFIG_DEST_DIR/production.py" "$$CONFIG_DEST_DIR/selected.py"

override_dh_python3:
	dh_python3 --package=python3-debusine-server --depends-section=server
	dh_python3 --package=python3-debusine-signing --depends-section=signing
	dh_python3 --package=python3-debusine
	dh_python3 --no-package=python3-debusine --no-package=python3-debusine-server --no-package=python3-debusine-signing
	rm -rf debian/python3-debusine-server/usr/lib/python3*/dist-packages/debusine-*.dist-info
	rm -rf debian/python3-debusine-signing/usr/lib/python3*/dist-packages/debusine-*.dist-info

execute_after_dh_installsystemd:
	dh_installsystemd --package=debusine-server \
		--name=debusine-server-celery
	dh_installsystemd --package=debusine-server \
		--name=debusine-server-periodic-tasks
	dh_installsystemd --package=debusine-server \
		--name=debusine-server-scheduler
	dh_installsystemd --package=debusine-server \
		--name=debusine-server-artifacts-cleanup \
		debusine-server-artifacts-cleanup.timer
	dh_installsystemd --package=debusine-server --no-start \
		--name=debusine-server-artifacts-cleanup \
		debusine-server-artifacts-cleanup.service
	dh_installsystemd --package=debusine-server \
		--name=debusine-server-monthly-cleanup \
		debusine-server-monthly-cleanup.timer
	dh_installsystemd --package=debusine-server --no-start \
		--name=debusine-server-monthly-cleanup \
		debusine-server-monthly-cleanup.service
	dh_installsystemd --package=debusine-server \
		--name=debusine-server-migrate
	dh_installsystemd --package=debusine-signing \
		--name=debusine-signing-migrate

=== debian/tests/control ===
Tests: unit-tests-tasks
Depends:
 python3-debusine,
Restrictions: allow-stderr

Tests: unit-tests-client
Depends:
 debusine-client,
Restrictions: allow-stderr

Tests: unit-tests-worker
Depends:
 debusine-worker,
Restrictions: allow-stderr

Tests: unit-tests-server
Depends:
 dbconfig-no-thanks,
 debusine-server,
 postgresql,
 python3-lxml,
 python3-paramiko,
 python3-pyftpdlib,
 redis-server,
Restrictions: allow-stderr, needs-root

Tests: unit-tests-signing
Depends:
 dbconfig-no-thanks,
 debusine-signing,
 devscripts,
 postgresql,
 python3-cryptography,
Restrictions: allow-stderr, needs-root

Tests: integration-tests-tasks-mmdebstrap-autopkgtest-sbuild-lintian-piuparts-blhc-debdiff
Depends:
 autopkgtest,
 ca-certificates,
 debian-archive-keyring,
 debootstrap,
 debusine-client,
 debusine-server,
 debusine-worker,
 mmdebstrap,
 nginx,
 postgresql,
 redis-server,
 sbuild,
 schroot,
 ssl-cert,
 sudo,
 uidmap,
Restrictions: allow-stderr, needs-root, isolation-container, skippable, needs-internet

Tests: integration-tests-task-simplesystemimagebuild
Architecture: amd64
Depends:
 ca-certificates,
 binutils-for-host | binutils-multiarch,
 debusine-client,
 debusine-server,
 debusine-worker,
 debvm,
 dosfstools,
 e2fsprogs,
 fdisk,
 linux-image-generic,
 mmdebstrap,
 mount,
 mtools,
 nginx,
 parted,
 postgresql,
 qemu-utils,
 redis-server,
 ssl-cert,
 sudo,
 systemd,
 systemd-ukify | systemd (<< 255.1-1),
 uidmap,
 xz-utils,
Restrictions: allow-stderr, needs-root, isolation-container, skippable, needs-internet

Tests: integration-tests-task-signing
Depends:
 ca-certificates,
 debian-archive-keyring,
 debusine-client,
 debusine-server,
 debusine-signing,
 debusine-worker,
 mmdebstrap,
 nginx,
 postgresql,
 redis-server,
 sbsigntool [amd64 arm64 armhf i386 riscv64],
 ssl-cert,
 sudo,
 uidmap,
Restrictions: allow-stderr, needs-root, isolation-container, needs-internet

Tests: integration-tests-generic
Depends:
 ca-certificates,
 dbconfig-no-thanks,
 debusine-client,
 debusine-server,
 debusine-worker,
 nginx,
 postgresql,
 python3-lxml,
 redis-server,
 ssl-cert,
 sudo,
Restrictions: allow-stderr, needs-root, isolation-container

## debusine 0.9.0~bpo12+1

=== debian/changelog ===
debusine (0.9.0~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Colin Watson <cjwatson@debian.org>  Fri, 28 Feb 2025 17:25:17 +0000

debusine (0.9.0) unstable; urgency=medium

  * New release.  Highlights:
    - Generalize file storage and add an S3 backend.
    - Implement task configuration mechanism.
    - Move signing keys to a new asset system, to allow better control.
    - Add most of a mechanism for cloning workspaces for experiments.
    - Remove schroot support from sbuild task (closes: #1098674).

 -- Colin Watson <cjwatson@debian.org>  Tue, 25 Feb 2025 18:15:37 +0000

## debusine 0.9.0

=== debian/control ===
--- 
+++ 
@@ -12,12 +12,14 @@
  libjs-jquery-isonscreen <!nodoc>,
  libjs-jquery-tablesorter <!nodoc>,
  libjs-jquery-throttle-debounce <!nodoc>,
- libjs-select2.js <!nodoc>,
+ libjs-select2.js,
  openssl <!nocheck>,
  postgresql <!nocheck>,
  pybuild-plugin-pyproject,
  python3 <!nocheck>,
  python3-aiohttp <!nodoc>,
+ python3-boto3 <!nodoc>,
+ python3-botocore <!nodoc>,
  python3-celery <!nodoc>,
  python3-channels-redis <!nodoc>,
  python3-coverage <!nocheck>,
@@ -28,6 +30,7 @@
  python3-django (>= 3:4.2) <!nodoc>,
  python3-django-celery-results <!nodoc>,
  python3-django-channels <!nodoc>,
+ python3-django-pgtrigger <!nodoc>,
  python3-djangorestframework <!nodoc>,
  python3-doc <!nocheck>,
  python3-email-validator <!nodoc>,
@@ -118,6 +121,7 @@
  arch-test,
  daphne,
  dbconfig-pgsql | dbconfig-no-thanks,
+ libjs-select2.js,
  python3-debusine-server (= ${source:Version}),
  ${misc:Depends},
  ${python3:Depends},
@@ -127,6 +131,8 @@
  postgresql,
  redis-server,
  sensible-utils,
+Suggests:
+ munin-node,
 Description: Services to run a debusine server
  Debusine is a general purpose software factory tailored to the needs of a
  Debian-based distribution.
@@ -164,7 +170,6 @@
  e2fsprogs,
  fdisk,
  mmdebstrap,
- mmdebstrap,
  mount,
  mtools,
  parted,
@@ -173,12 +178,10 @@
  systemd,
  systemd-ukify | systemd (<< 255.1-1),
  uidmap,
- uidmap,
  xz-utils,
 Suggests:
  incus,
  qemu-kvm,
- schroot,
 Description: Standalone daemon handling work requests for a debusine server
  Debusine is a general purpose software factory tailored to the needs of a
  Debian-based distribution.

=== debian/rules ===
--- 
+++ 
@@ -2,14 +2,7 @@
 
 include /usr/share/dpkg/default.mk
 
-ifneq (,$(findstring +salsaci+,$(DEB_VERSION)))
-ifneq (,$(wildcard debian/.salsa-ci-hatchling-version))
-# When building in CI, we get git-derived version information passed through
-# to us, since we don't have access to git metadata when building the
-# package.
-export SETUPTOOLS_SCM_PRETEND_VERSION := $(file <debian/.salsa-ci-hatchling-version)
-endif
-endif
+export SETUPTOOLS_SCM_PRETEND_VERSION := $(shell debian/get-version '$(DEB_VERSION_UPSTREAM)')
 
 %:
 	dh $@ --buildsystem=pybuild
@@ -86,11 +79,11 @@
 		--name=debusine-server-artifacts-cleanup \
 		debusine-server-artifacts-cleanup.service
 	dh_installsystemd --package=debusine-server \
-		--name=debusine-server-monthly-cleanup \
-		debusine-server-monthly-cleanup.timer
+		--name=debusine-server-vacuum-storage \
+		debusine-server-vacuum-storage.timer
 	dh_installsystemd --package=debusine-server --no-start \
-		--name=debusine-server-monthly-cleanup \
-		debusine-server-monthly-cleanup.service
+		--name=debusine-server-vacuum-storage \
+		debusine-server-vacuum-storage.service
 	dh_installsystemd --package=debusine-server \
 		--name=debusine-server-migrate
 	dh_installsystemd --package=debusine-signing \

=== debian/tests/control ===
--- 
+++ 
@@ -47,7 +47,6 @@
  postgresql,
  redis-server,
  sbuild,
- schroot,
  ssl-cert,
  sudo,
  uidmap,

## debusine 0.9.1~bpo12+1

=== debian/changelog ===
debusine (0.9.1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Colin Watson <cjwatson@debian.org>  Wed, 26 Mar 2025 09:48:30 +0000

debusine (0.9.1) unstable; urgency=medium

  * New release.  Highlights:
    - Record runtime statistics for tasks.
    - Support Hetzner Object Storage.
    - Support worker pools on EC2 and Hetzner Cloud.
    - Add web UI for group management.
  * Debconf translations:
    - Brazilian Portuguese (thanks, Paulo Henrique de Lima Santana; closes:
      #1098447).
    - Portuguese (thanks, Américo Monteiro; closes: #1100601).

 -- Colin Watson <cjwatson@debian.org>  Mon, 24 Mar 2025 12:28:09 +0000

## debusine 0.9.1

=== debian/control ===
--- 
+++ 
@@ -38,10 +38,12 @@
  python3-fasteners <!nodoc>,
  python3-hatch-vcs,
  python3-hatchling,
+ python3-hcloud <!nocheck>,
  python3-jsonpath-rw <!nodoc>,
  python3-jwcrypto <!nocheck>,
  python3-lxml <!nocheck>,
  python3-nacl <!nocheck>,
+ python3-packaging <!nocheck>,
  python3-paramiko <!nocheck>,
  python3-prometheus-client <!nocheck>,
  python3-psutil <!nocheck>,

=== debian/rules ===
--- 
+++ 
@@ -71,6 +71,8 @@
 	dh_installsystemd --package=debusine-server \
 		--name=debusine-server-periodic-tasks
 	dh_installsystemd --package=debusine-server \
+		--name=debusine-server-provisioner
+	dh_installsystemd --package=debusine-server \
 		--name=debusine-server-scheduler
 	dh_installsystemd --package=debusine-server \
 		--name=debusine-server-artifacts-cleanup \

## debusine 0.10.0~bpo12+1

=== debian/changelog ===
debusine (0.10.0~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Colin Watson <cjwatson@debian.org>  Sun, 06 Apr 2025 00:22:27 +0100

debusine (0.10.0) unstable; urgency=medium

  * New release.  Highlights:
    - Implement provisioning of pool workers.
    - Add "debusine setup" for editing server configuration interactively.
    - Add dput-ng integration.

 -- Colin Watson <cjwatson@debian.org>  Wed, 02 Apr 2025 11:55:21 +0100

## debusine 0.10.0

=== debian/control ===
--- 
+++ 
@@ -22,6 +22,7 @@
  python3-botocore <!nodoc>,
  python3-celery <!nodoc>,
  python3-channels-redis <!nodoc>,
+ python3-configobj <!nodoc>,
  python3-coverage <!nocheck>,
  python3-cryptography <!nocheck>,
  python3-daphne <!nodoc>,
@@ -33,6 +34,7 @@
  python3-django-pgtrigger <!nodoc>,
  python3-djangorestframework <!nodoc>,
  python3-doc <!nocheck>,
+ python3-dput <!nocheck>,
  python3-email-validator <!nodoc>,
  python3-fabric <!nocheck>,
  python3-fasteners <!nodoc>,
@@ -64,6 +66,7 @@
  python3-yaml <!nodoc>,
  redis-server <!nocheck>,
  sbsigntool [amd64 arm64 armhf i386 riscv64] <!nocheck>,
+ xkcdpass <!nocheck>,
 Standards-Version: 4.6.2
 Homepage: https://salsa.debian.org/freexian-team/debusine
 Vcs-Browser: https://salsa.debian.org/freexian-team/debusine
@@ -147,6 +150,8 @@
  python3-debusine (= ${source:Version}),
  ${misc:Depends},
  ${python3:Depends},
+Enhances:
+ dput-ng,
 Description: Command line client to interact with a debusine server
  Debusine is a general purpose software factory tailored to the needs of a
  Debian-based distribution.

=== debian/rules ===
--- 
+++ 
@@ -61,7 +61,9 @@
 	dh_python3 --package=python3-debusine-server --depends-section=server
 	dh_python3 --package=python3-debusine-signing --depends-section=signing
 	dh_python3 --package=python3-debusine
+	dh_python3 --package=debusine-client --depends-section=client
 	dh_python3 --no-package=python3-debusine --no-package=python3-debusine-server --no-package=python3-debusine-signing
+	rm -rf debian/debusine-client/usr/lib/python3*/dist-packages/debusine-*.dist-info
 	rm -rf debian/python3-debusine-server/usr/lib/python3*/dist-packages/debusine-*.dist-info
 	rm -rf debian/python3-debusine-signing/usr/lib/python3*/dist-packages/debusine-*.dist-info

=== debian/tests/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Tests: unit-tests-client
 Depends:
  debusine-client,
+ dput-ng,
 Restrictions: allow-stderr
 
 Tests: unit-tests-worker

## debusine 0.11.0~bpo12+1

=== debian/changelog ===
debusine (0.11.0~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Colin Watson <cjwatson@debian.org>  Sun, 27 Apr 2025 12:48:57 +0100

debusine (0.11.0) unstable; urgency=medium

  * New release.  Highlights:
    - Improve error reporting from tasks and workflows.
    - Improve usability of token generation UI.
    - Restructure dput-ng profiles to make them easier to override locally.
    - Restrict starting workflows to workspace contributors.
  * Debconf translations:
    - Catalan (thanks, poc senderi).

 -- Colin Watson <cjwatson@debian.org>  Tue, 15 Apr 2025 15:49:02 +0100

## debusine 0.11.0

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
  devscripts,
  dh-sequence-python3,
  dh-sequence-sphinxdoc <!nodoc>,
+ dput-ng <!nocheck>,
  graphviz <!nodoc>,
  libjs-jquery-isonscreen <!nodoc>,
  libjs-jquery-tablesorter <!nodoc>,
@@ -31,10 +32,11 @@
  python3-django (>= 3:4.2) <!nodoc>,
  python3-django-celery-results <!nodoc>,
  python3-django-channels <!nodoc>,
+ python3-django-cte <!nodoc>,
+ python3-django-pglocks <!nodoc>,
  python3-django-pgtrigger <!nodoc>,
  python3-djangorestframework <!nodoc>,
  python3-doc <!nocheck>,
- python3-dput <!nocheck>,
  python3-email-validator <!nodoc>,
  python3-fabric <!nocheck>,
  python3-fasteners <!nodoc>,

## debusine 0.11.1~bpo12+1

=== debian/changelog ===
debusine (0.11.1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Colin Watson <cjwatson@debian.org>  Wed, 14 May 2025 09:14:02 +0100

debusine (0.11.1) unstable; urgency=medium

  * New release.  Highlights:
    - Add a debdiff artifact view.
    - Redesign table sorting, filtering, and header rendering.
    - debusine setup: Manage the default server setting.
    - Improve various aspects of dput-ng integration.
    - debian_pipeline: Upload signed source packages and their binaries if
      necessary.
    - Fix various bugs in VM image building.

 -- Colin Watson <cjwatson@debian.org>  Sun, 04 May 2025 12:00:19 +0100

## debusine 0.11.3~bpo12+1

=== Makefile ===
# PYTHONDEVMODE to enable PYTHONASYNCIODEBUG=1 and other flags.
# PYTHONTRACEMALLOC=1 is helpful when debugging ResourceWarnings, but is too
# slow to leave enabled all the time.
PYTHON_ENVIRONMENT := PYTHONASYNCIODEBUG=1 PYTHONDEBUG=1 PYTHONWARNINGS=always::ResourceWarning

ifeq ($(VERBOSE),1)
    VERBOSE_OPTION_DJANGO_TESTS:= -v 2
    VERBOSE_OPTION_TESTS := -v
else
    VERBOSE_OPTION_DJANGO_TESTS :=
    VERBOSE_OPTION_TESTS :=
endif

# Quick sanity check to run before each commit
check:
	pre-commit run -a

# Reformat the code and show changes made by black
format black:
	tox -e format

djlint:
	tox -e djlint

coverage:
	python3 -m coverage erase
	$(PYTHON_ENVIRONMENT) python3 -m coverage run ./manage.py test debusine.db debusine.django debusine.server debusine.web debusine.project debusine.test $(VERBOSE_OPTION_DJANGO_TESTS)
	$(PYTHON_ENVIRONMENT) DJANGO_SETTINGS_MODULE=debusine.signing.settings python3 -m coverage run ./manage.py test debusine.signing $(VERBOSE_OPTION_DJANGO_TESTS)
	$(PYTHON_ENVIRONMENT) python3 -m coverage run -m unittest discover debusine.artifacts $(VERBOSE_OPTION_TESTS)
	$(PYTHON_ENVIRONMENT) python3 -m coverage run -m unittest discover debusine.assets $(VERBOSE_OPTION_TESTS)
	$(PYTHON_ENVIRONMENT) python3 -m coverage run -m unittest discover debusine.client $(VERBOSE_OPTION_TESTS)
	$(PYTHON_ENVIRONMENT) python3 -m coverage run -m unittest discover debusine.tasks $(VERBOSE_OPTION_TESTS)
	$(PYTHON_ENVIRONMENT) python3 -m coverage run -m unittest discover debusine.worker $(VERBOSE_OPTION_TESTS)
	$(PYTHON_ENVIRONMENT) python3 -m coverage run -m unittest discover debusine.utils $(VERBOSE_OPTION_TESTS)
	python3 -m coverage combine
	python3 -m coverage html
	python3 -m coverage report --precision=2 --show-missing --skip-covered $(if $(TOTAL_COVERAGE),| perl -pe '$$total = $$1 if /^TOTAL .* (\d+(?:\.\d+)?%)/; END { print "TOTAL COVERAGE $$total\n" }')

css:
	( \
		echo "/* This file is generated by pygments by running make css. License is BSD-2-clause (same as pygments) */" ; \
		python3 -m pygments -S github-dark -f html \
	) > debusine/web/static/web/css/debusine-code-highlight.css

.PHONY: check format black djlint coverage css

=== debian/changelog ===
debusine (0.11.3~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Colin Watson <cjwatson@debian.org>  Sun, 20 Jul 2025 13:31:20 +0200

debusine (0.11.3) unstable; urgency=medium

  * client: Allow passing a local copy of the `.changes` file to `debusine
    provide-signature`.

 -- Colin Watson <cjwatson@debian.org>  Tue, 08 Jul 2025 15:09:29 +0100

debusine (0.11.2) unstable; urgency=medium

  * client: Allow selecting a server using `--server FQDN/SCOPE`.

 -- Colin Watson <cjwatson@debian.org>  Thu, 03 Jul 2025 09:47:02 +0100

=== debian/control ===
--- 
+++ 
@@ -38,25 +38,25 @@
  python3-djangorestframework <!nodoc>,
  python3-doc <!nocheck>,
  python3-email-validator <!nodoc>,
- python3-fabric <!nocheck>,
+ python3-fabric <!nocheck> <!nodoc>,
  python3-fasteners <!nodoc>,
  python3-hatch-vcs,
  python3-hatchling,
- python3-hcloud <!nocheck>,
+ python3-hcloud <!nocheck> <!nodoc>,
  python3-jsonpath-rw <!nodoc>,
  python3-jwcrypto <!nocheck>,
  python3-lxml <!nocheck>,
  python3-nacl <!nocheck>,
  python3-packaging <!nocheck>,
  python3-paramiko <!nocheck>,
- python3-prometheus-client <!nocheck>,
- python3-psutil <!nocheck>,
+ python3-prometheus-client <!nocheck> <!nodoc>,
+ python3-psutil <!nocheck> <!nodoc>,
  python3-psycopg2 <!nodoc>,
  python3-pydantic <!nodoc>,
  python3-pyftpdlib <!nocheck>,
  python3-pygments <!nodoc>,
  python3-requests <!nocheck>,
- python3-requests-file <!nocheck>,
+ python3-requests-file <!nocheck> <!nodoc>,
  python3-requests-oauthlib <!nocheck>,
  python3-requests-toolbelt <!nodoc>,
  python3-responses <!nocheck>,

=== debian/tests/control ===
--- 
+++ 
@@ -1,17 +1,23 @@
 Tests: unit-tests-tasks
 Depends:
  python3-debusine,
+ python3-lxml,
+ python3-responses,
 Restrictions: allow-stderr
 
 Tests: unit-tests-client
 Depends:
  debusine-client,
  dput-ng,
+ python3-lxml,
+ python3-responses,
 Restrictions: allow-stderr
 
 Tests: unit-tests-worker
 Depends:
  debusine-worker,
+ python3-lxml,
+ python3-responses,
 Restrictions: allow-stderr
 
 Tests: unit-tests-server
@@ -22,6 +28,7 @@
  python3-lxml,
  python3-paramiko,
  python3-pyftpdlib,
+ python3-responses,
  redis-server,
 Restrictions: allow-stderr, needs-root
 
@@ -32,6 +39,8 @@
  devscripts,
  postgresql,
  python3-cryptography,
+ python3-lxml,
+ python3-responses,
 Restrictions: allow-stderr, needs-root
 
 Tests: integration-tests-tasks-mmdebstrap-autopkgtest-sbuild-lintian-piuparts-blhc-debdiff
@@ -46,6 +55,8 @@
  mmdebstrap,
  nginx,
  postgresql,
+ python3-lxml,
+ python3-responses,
  redis-server,
  sbuild,
  ssl-cert,
@@ -72,6 +83,8 @@
  nginx,
  parted,
  postgresql,
+ python3-lxml,
+ python3-responses,
  qemu-utils,
  redis-server,
  ssl-cert,
@@ -93,6 +106,8 @@
  mmdebstrap,
  nginx,
  postgresql,
+ python3-lxml,
+ python3-responses,
  redis-server,
  sbsigntool [amd64 arm64 armhf i386 riscv64],
  ssl-cert,
@@ -114,3 +129,11 @@
  ssl-cert,
  sudo,
 Restrictions: allow-stderr, needs-root, isolation-container
+
+Tests: smoke-test-server
+Depends:
+ curl,
+ debusine-server,
+ nginx,
+ postgresql
+Restrictions: allow-stderr, needs-root, isolation-container

## debusine 0.11.3

=== debian/rules ===
--- 
+++ 
@@ -77,11 +77,11 @@
 	dh_installsystemd --package=debusine-server \
 		--name=debusine-server-scheduler
 	dh_installsystemd --package=debusine-server \
-		--name=debusine-server-artifacts-cleanup \
-		debusine-server-artifacts-cleanup.timer
+		--name=debusine-server-delete-expired \
+		debusine-server-delete-expired.timer
 	dh_installsystemd --package=debusine-server --no-start \
-		--name=debusine-server-artifacts-cleanup \
-		debusine-server-artifacts-cleanup.service
+		--name=debusine-server-delete-expired \
+		debusine-server-delete-expired.service
 	dh_installsystemd --package=debusine-server \
 		--name=debusine-server-vacuum-storage \
 		debusine-server-vacuum-storage.timer

## debusine 0.12.0

=== debian/changelog ===
debusine (0.12.0) unstable; urgency=medium

  * New release.  Highlights:
    - Implement archives (although currently the only way to get packages
      into them is by mirroring).  They support snapshot views, so this can
      be used as an equivalent of snapshot.debian.org.
    - Require the CONTRIBUTOR role for modifications in public workspaces.
    - Add a metrics API.
    - Fix several crashes in expiry scripts.
    - Many UI improvements, including restructuring the home page around
      workflows, adding tabs to the work request detail view, and giving
      workflow tables a mobile-friendly layout.
    - Add commands to manage task configuration collections.
    - Add debdiff workflow.
    - Add split source/binary upload signing, where the developer signs the
      source package and Debusine signs the binaries.

 -- Colin Watson <cjwatson@debian.org>  Fri, 15 Aug 2025 08:57:00 +0100

=== debian/control ===
--- 
+++ 
@@ -10,14 +10,17 @@
  dh-sequence-sphinxdoc <!nodoc>,
  dput-ng <!nocheck>,
  graphviz <!nodoc>,
+ libjs-bootstrap5 (>= 5.3.0) <!nodoc>,
  libjs-jquery-isonscreen <!nodoc>,
  libjs-jquery-tablesorter <!nodoc>,
  libjs-jquery-throttle-debounce <!nodoc>,
  libjs-select2.js,
+ node-popper2 <!nodoc>,
  openssl <!nocheck>,
  postgresql <!nocheck>,
  pybuild-plugin-pyproject,
  python3 <!nocheck>,
+ python3-apt <!nocheck>,
  python3-aiohttp <!nodoc>,
  python3-boto3 <!nodoc>,
  python3-botocore <!nodoc>,
@@ -36,7 +39,7 @@
  python3-django-pglocks <!nodoc>,
  python3-django-pgtrigger <!nodoc>,
  python3-djangorestframework <!nodoc>,
- python3-doc <!nocheck>,
+ python3-doc <!nocheck> <!nodoc>,
  python3-email-validator <!nodoc>,
  python3-fabric <!nocheck> <!nodoc>,
  python3-fasteners <!nodoc>,
@@ -46,6 +49,7 @@
  python3-jsonpath-rw <!nodoc>,
  python3-jwcrypto <!nocheck>,
  python3-lxml <!nocheck>,
+ python3-magic <!nocheck> <!nodoc>,
  python3-nacl <!nocheck>,
  python3-packaging <!nocheck>,
  python3-paramiko <!nocheck>,
@@ -55,6 +59,12 @@
  python3-pydantic <!nodoc>,
  python3-pyftpdlib <!nocheck>,
  python3-pygments <!nodoc>,
+ python3-pytest <!nocheck>,
+ python3-pytest-asyncio <!nocheck>,
+ python3-pytest-cov <!nocheck>,
+ python3-pytest-django <!nocheck>,
+ python3-pytest-subtests <!nocheck>,
+ python3-pytest-xdist <!nocheck>,
  python3-requests <!nocheck>,
  python3-requests-file <!nocheck> <!nodoc>,
  python3-requests-oauthlib <!nocheck>,
@@ -128,7 +138,10 @@
  arch-test,
  daphne,
  dbconfig-pgsql | dbconfig-no-thanks,
+ libjs-bootstrap5 (>= 5.3.0),
  libjs-select2.js,
+ node-popper2,
+ python3-apt,
  python3-debusine-server (= ${source:Version}),
  ${misc:Depends},
  ${python3:Depends},
@@ -174,7 +187,7 @@
  autopkgtest,
  binutils-for-host | binutils-multiarch,
  debootstrap,
- debvm,
+ debvm (>= 0.4.4~),
  dosfstools,
  e2fsprogs,
  fdisk,

=== debian/tests/control ===
--- 
+++ 
@@ -2,6 +2,10 @@
 Depends:
  python3-debusine,
  python3-lxml,
+ python3-pytest,
+ python3-pytest-asyncio,
+ python3-pytest-subtests,
+ python3-pytest-xdist,
  python3-responses,
 Restrictions: allow-stderr
 
@@ -9,7 +13,12 @@
 Depends:
  debusine-client,
  dput-ng,
+ git,
  python3-lxml,
+ python3-pytest,
+ python3-pytest-asyncio,
+ python3-pytest-subtests,
+ python3-pytest-xdist,
  python3-responses,
 Restrictions: allow-stderr
 
@@ -17,6 +26,10 @@
 Depends:
  debusine-worker,
  python3-lxml,
+ python3-pytest,
+ python3-pytest-asyncio,
+ python3-pytest-subtests,
+ python3-pytest-xdist,
  python3-responses,
 Restrictions: allow-stderr
 
@@ -28,6 +41,11 @@
  python3-lxml,
  python3-paramiko,
  python3-pyftpdlib,
+ python3-pytest,
+ python3-pytest-asyncio,
+ python3-pytest-django,
+ python3-pytest-subtests,
+ python3-pytest-xdist,
  python3-responses,
  redis-server,
 Restrictions: allow-stderr, needs-root
@@ -40,6 +58,11 @@
  postgresql,
  python3-cryptography,
  python3-lxml,
+ python3-pytest,
+ python3-pytest-asyncio,
+ python3-pytest-django,
+ python3-pytest-subtests,
+ python3-pytest-xdist,
  python3-responses,
 Restrictions: allow-stderr, needs-root
 
@@ -56,6 +79,7 @@
  nginx,
  postgresql,
  python3-lxml,
+ python3-pytest,
  python3-responses,
  redis-server,
  sbuild,
@@ -72,7 +96,7 @@
  debusine-client,
  debusine-server,
  debusine-worker,
- debvm,
+ debvm (>= 0.4.4~),
  dosfstools,
  e2fsprogs,
  fdisk,
@@ -84,6 +108,7 @@
  parted,
  postgresql,
  python3-lxml,
+ python3-pytest,
  python3-responses,
  qemu-utils,
  redis-server,
@@ -107,33 +132,27 @@
  nginx,
  postgresql,
  python3-lxml,
+ python3-pytest,
  python3-responses,
  redis-server,
  sbsigntool [amd64 arm64 armhf i386 riscv64],
  ssl-cert,
  sudo,
  uidmap,
-Restrictions: allow-stderr, needs-root, isolation-container, needs-internet
+Restrictions: allow-stderr, needs-root, isolation-container, skippable, needs-internet
 
-Tests: integration-tests-generic
+Tests: integration-tests-task-aptmirror
 Depends:
  ca-certificates,
- dbconfig-no-thanks,
  debusine-client,
  debusine-server,
  debusine-worker,
  nginx,
  postgresql,
+ python3-gpg,
  python3-lxml,
+ python3-pytest,
+ python3-responses,
  redis-server,
  ssl-cert,
  sudo,
-Restrictions: allow-stderr, needs-root, isolation-container
-
-Tests: smoke-test-server
-Depends:
- curl,
- debusine-server,
- nginx,
- postgresql
-Restrictions: allow-stderr, needs-root, isolation-container

## debusine 0.12.1~bpo13+2

=== Makefile ===
# PYTHONDEVMODE to enable PYTHONASYNCIODEBUG=1 and other flags.
# PYTHONTRACEMALLOC=1 is helpful when debugging ResourceWarnings, but is too
# slow to leave enabled all the time.
PYTHON_ENVIRONMENT := PYTHONASYNCIODEBUG=1 PYTHONDEBUG=1 PYTHONWARNINGS=always::ResourceWarning

ifeq ($(VERBOSE),1)
    VERBOSE_OPTION_TESTS := -v
else
    VERBOSE_OPTION_TESTS :=
endif

# Quick sanity check to run before each commit
check:
	pre-commit run -a

# Reformat the code and show changes made by black
format black:
	tox -e format

djlint:
	tox -e djlint

coverage:
	python3 -m coverage erase
	$(PYTHON_ENVIRONMENT) pytest --ignore=debusine/signing --cov=debusine --cov-append --cov-report= $(VERBOSE_OPTION_TESTS)
	$(PYTHON_ENVIRONMENT) pytest --ds=debusine.signing.settings --cov=debusine --cov-append --cov-report= debusine/signing $(VERBOSE_OPTION_TESTS)
ifeq ($(HTML_COVERAGE),1)
	python3 -m coverage html
endif
	python3 -m coverage report --precision=2 --show-missing --skip-covered $(if $(TOTAL_COVERAGE),| perl -pe '$$total = $$1 if /^TOTAL .* (\d+(?:\.\d+)?%)/; END { print "TOTAL COVERAGE $$total\n" }')

css:
	( \
		echo "/* This file is generated by pygments by running make css. License is BSD-2-clause (same as pygments) */" ; \
		python3 -m pygments -S github-dark -f html \
	) > debusine/web/static/web/css/debusine-code-highlight.css

.PHONY: check format black djlint coverage css

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SOURCEDIR     = .
BUILDDIR      = _build
LINKCHECKOUTPUTDIR	= $(BUILDDIR)/linkcheck

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

linkcheck:
	# sphinx version 4.1 (Bookworm) has the option "linkcheck_allowed_redirects"
	# (https://www.sphinx-doc.org/en/master/usage/configuration.html#confval-linkcheck_allowed_redirects)
	@$(SPHINXBUILD) -b linkcheck "$(SOURCEDIR)" "$(LINKCHECKOUTPUTDIR)"
	echo "sphinx linkcheck report available in $(LINKCHECKOUTPUTDIR)"

livehtml:
	sphinx-autobuild "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O) --open-browser

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
debusine (0.12.1~bpo13+2) trixie-backports; urgency=medium

  * Reupload since 0.12.1~bpo13+1 was rejected due to being a source-only
    upload to NEW.

 -- Colin Watson <cjwatson@debian.org>  Mon, 01 Sep 2025 13:18:41 +0100

debusine (0.12.1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Colin Watson <cjwatson@debian.org>  Mon, 01 Sep 2025 11:45:48 +0100

debusine (0.12.1) unstable; urgency=medium

  * New release.  Highlights:
    - Add `debusine workspace-inheritance` to configure a workspace's
      inheritance.
    - Add shell completion via argcomplete (closes: #1111282).
    - Return more user-friendly errors if an incorrect file is specified to
      `debusine provide-signature --local-file`.

 -- Colin Watson <cjwatson@debian.org>  Thu, 21 Aug 2025 15:53:54 +0100

=== debian/rules ===
--- 
+++ 
@@ -67,7 +67,13 @@
 	rm -rf debian/python3-debusine-server/usr/lib/python3*/dist-packages/debusine-*.dist-info
 	rm -rf debian/python3-debusine-signing/usr/lib/python3*/dist-packages/debusine-*.dist-info
 
-execute_after_dh_installsystemd:
+override_dh_installsystemd:
+	# Run this before the main service so that migrations are run first
+	# on upgrade.
+	dh_installsystemd --package=debusine-server \
+		--name=debusine-server-migrate
+	dh_installsystemd --package=debusine-server \
+		debusine-server.service
 	dh_installsystemd --package=debusine-server \
 		--name=debusine-server-celery
 	dh_installsystemd --package=debusine-server \
@@ -88,7 +94,13 @@
 	dh_installsystemd --package=debusine-server --no-start \
 		--name=debusine-server-vacuum-storage \
 		debusine-server-vacuum-storage.service
-	dh_installsystemd --package=debusine-server \
-		--name=debusine-server-migrate
+
+	# Run this before the main service so that migrations are run first
+	# on upgrade.
 	dh_installsystemd --package=debusine-signing \
 		--name=debusine-signing-migrate
+	dh_installsystemd --package=debusine-signing \
+		debusine-signing.service
+
+	dh_installsystemd \
+		--no-package=debusine-server --no-package=debusine-signing

=== debian/tests/control ===
--- 
+++ 
@@ -143,6 +143,7 @@
 
 Tests: integration-tests-task-aptmirror
 Depends:
+ apt-utils,
  ca-certificates,
  debusine-client,
  debusine-server,

## debusine 0.12.1

=== debian/control ===
--- 
+++ 
@@ -20,8 +20,9 @@
  postgresql <!nocheck>,
  pybuild-plugin-pyproject,
  python3 <!nocheck>,
+ python3-aiohttp <!nodoc>,
  python3-apt <!nocheck>,
- python3-aiohttp <!nodoc>,
+ python3-argcomplete <!nocheck>,
  python3-boto3 <!nodoc>,
  python3-botocore <!nodoc>,
  python3-celery <!nodoc>,
@@ -143,6 +144,7 @@
  node-popper2,
  python3-apt,
  python3-debusine-server (= ${source:Version}),
+ sensible-utils,
  ${misc:Depends},
  ${python3:Depends},
 Recommends:
@@ -150,7 +152,6 @@
  nginx-core | httpd,
  postgresql,
  redis-server,
- sensible-utils,
 Suggests:
  munin-node,
 Description: Services to run a debusine server
@@ -163,6 +164,7 @@
 Architecture: all
 Depends:
  python3-debusine (= ${source:Version}),
+ sensible-utils,
  ${misc:Depends},
  ${python3:Depends},
 Enhances:

## debusine 0.12.2

=== Makefile ===
--- 
+++ 
@@ -22,8 +22,8 @@
 
 coverage:
 	python3 -m coverage erase
-	$(PYTHON_ENVIRONMENT) pytest --ignore=debusine/signing --cov=debusine --cov-append --cov-report= $(VERBOSE_OPTION_TESTS)
-	$(PYTHON_ENVIRONMENT) pytest --ds=debusine.signing.settings --cov=debusine --cov-append --cov-report= debusine/signing $(VERBOSE_OPTION_TESTS)
+	$(PYTHON_ENVIRONMENT) pytest -o asyncio_default_fixture_loop_scope=function --ignore=debusine/signing --cov=debusine --cov-append --cov-report= $(VERBOSE_OPTION_TESTS)
+	$(PYTHON_ENVIRONMENT) pytest -o asyncio_default_fixture_loop_scope=function --ds=debusine.signing.settings --cov=debusine --cov-append --cov-report= debusine/signing $(VERBOSE_OPTION_TESTS)
 ifeq ($(HTML_COVERAGE),1)
 	python3 -m coverage html
 endif

=== docs/Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 linkcheck:
 	# sphinx version 4.1 (Bookworm) has the option "linkcheck_allowed_redirects"
 	# (https://www.sphinx-doc.org/en/master/usage/configuration.html#confval-linkcheck_allowed_redirects)
-	@$(SPHINXBUILD) -b linkcheck "$(SOURCEDIR)" "$(LINKCHECKOUTPUTDIR)"
+	@$(SPHINXBUILD) -b linkcheck "$(SOURCEDIR)" "$(LINKCHECKOUTPUTDIR)" -q
 	echo "sphinx linkcheck report available in $(LINKCHECKOUTPUTDIR)"
 
 livehtml:

=== debian/changelog ===
debusine (0.12.2) unstable; urgency=medium

  * New release.  Highlights:
    - Repositories are nearing general usability. The debian_pipeline can
      publish to suites. Indexes can be signed, using the update_suite
      subworkflow.
    - Improve the worker's resilience to server errors.
    - Work around sbuild's autopkgtest backend selection bug (#1110102).
    - Allow the worker to function in a non-default scope.
    - UI to edit workspace inheritance.
  * Add myself to uploaders.
  * Bump Standards-Version to 4.7.2, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 22 Sep 2025 19:27:50 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: Raphaël Hertzog <raphael@freexian.com>
-Uploaders: Colin Watson <cjwatson@debian.org>
+Uploaders: Colin Watson <cjwatson@debian.org>, Stefano Rivera <stefanor@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  devscripts,
@@ -80,7 +80,7 @@
  redis-server <!nocheck>,
  sbsigntool [amd64 arm64 armhf i386 riscv64] <!nocheck>,
  xkcdpass <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://salsa.debian.org/freexian-team/debusine
 Vcs-Browser: https://salsa.debian.org/freexian-team/debusine
 Vcs-Git: https://salsa.debian.org/freexian-team/debusine.git

=== debian/tests/control ===
--- 
+++ 
@@ -66,14 +66,14 @@
  python3-responses,
 Restrictions: allow-stderr, needs-root
 
-Tests: integration-tests-tasks-mmdebstrap-autopkgtest-sbuild-lintian-piuparts-blhc-debdiff
+Tests: integration-tests-workflow-debian-pipeline
 Depends:
  autopkgtest,
  ca-certificates,
  debian-archive-keyring,
- debootstrap,
  debusine-client,
  debusine-server,
+ debusine-signing,
  debusine-worker,
  mmdebstrap,
  nginx,

## debusine 0.13.0

=== debian/changelog ===
debusine (0.13.0) unstable; urgency=medium

  * New release.  Highlights:
    - Migrated the web server from daphne to gunicorn+uvicorn.
    - API responses include links.
    - Resolve occasional deadlocks in workflow scheduling, that was sometimes
      seen as autopkgtest timeouts.
    - Fix deadlocks in test_task.py (Closes: #1119859)
    - Significant performance improvement for page rendering, especially the
      home page.
    - Dark Mode is available in the UI.
    - CLI: Refactor to use object verb syntax.
    - Cleanly shut down workers.
    - Recommend iproute2 in debusine-worker for sbuild unshare backend.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 16 Nov 2025 11:21:33 +0100

=== debian/tests/control ===
--- 
+++ 
@@ -38,6 +38,7 @@
  dbconfig-no-thanks,
  debusine-server,
  postgresql,
+ python3-daphne,
  python3-lxml,
  python3-paramiko,
  python3-pyftpdlib,
@@ -75,6 +76,7 @@
  debusine-server,
  debusine-signing,
  debusine-worker,
+ iproute2,
  mmdebstrap,
  nginx,
  postgresql,

## debusine 0.13.1~bpo12+1

=== debian/changelog ===
debusine (0.13.1~bpo12+1) bookworm-backports-sloppy; urgency=medium

  * Rebuild for bookworm-backports-sloppy.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 20 Nov 2025 18:07:10 +0100

debusine (0.13.1) unstable; urgency=medium

  * Minor update to resolve autopkgtest failures in Debian.
    - Fix the debian-pipeline workflow autopkgtest on non-amd64.
    - Fix an artifact sorting bug in the server workflow.
    - Fix a regression in dark-mode.
    - Depend on iproute2 for integration-tests-task-signing.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 17 Nov 2025 14:03:35 +0100

## debusine 0.13.1~bpo13+1

=== debian/changelog ===
debusine (0.13.1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 20 Nov 2025 17:23:18 +0100

## debusine 0.13.1

=== debian/control ===
--- 
+++ 
@@ -39,6 +39,7 @@
  python3-django-cte <!nodoc>,
  python3-django-pglocks <!nodoc>,
  python3-django-pgtrigger <!nodoc>,
+ python3-django-prometheus <!nodoc>,
  python3-djangorestframework <!nodoc>,
  python3-doc <!nocheck> <!nodoc>,
  python3-email-validator <!nodoc>,
@@ -54,6 +55,7 @@
  python3-nacl <!nocheck>,
  python3-packaging <!nocheck>,
  python3-paramiko <!nocheck>,
+ python3-pgpy <!nocheck> <!nodoc>,
  python3-prometheus-client <!nocheck> <!nodoc>,
  python3-psutil <!nocheck> <!nodoc>,
  python3-psycopg2 <!nodoc>,
@@ -76,6 +78,7 @@
  python3-sphinx-copybutton <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,
  python3-tenacity <!nodoc>,
+ python3-uvicorn <!nodoc>,
  python3-yaml <!nodoc>,
  redis-server <!nocheck>,
  sbsigntool [amd64 arm64 armhf i386 riscv64] <!nocheck>,
@@ -137,13 +140,14 @@
 Depends:
  adduser,
  arch-test,
- daphne,
  dbconfig-pgsql | dbconfig-no-thanks,
+ gunicorn,
  libjs-bootstrap5 (>= 5.3.0),
  libjs-select2.js,
  node-popper2,
  python3-apt,
  python3-debusine-server (= ${source:Version}),
+ python3-uvicorn,
  sensible-utils,
  ${misc:Depends},
  ${python3:Depends},
@@ -193,6 +197,7 @@
  dosfstools,
  e2fsprogs,
  fdisk,
+ iproute2,
  mmdebstrap,
  mount,
  mtools,

=== debian/tests/control ===
--- 
+++ 
@@ -130,6 +130,7 @@
  debusine-server,
  debusine-signing,
  debusine-worker,
+ iproute2,
  mmdebstrap,
  nginx,
  postgresql,

## debusine 0.14.0~bpo13+1

=== debian/changelog ===
debusine (0.14.0~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 06 Dec 2025 16:47:49 -0400

debusine (0.14.0) unstable; urgency=medium

  * New release.  Highlights:
    - Requires Python 3.13 (>= trixie)
    - Introduced breadcrumbs in the UI design.
    - Workflow Template creation now accept static_parameters and
      runtime_parameters during creation and editing. They can no longer be
      created with pre-0.14.0 clients.
    - debian_pipeline: If suite is set, automatically use it during builds and
      tests.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 03 Dec 2025 09:24:00 -0400
